package com.gh.gamecenter.gamedetail.fuli.kaifu

import android.content.Context
import android.content.Intent
import android.os.Bundle
import android.os.PersistableBundle
import com.gh.gamecenter.common.base.activity.ToolBarActivity
import com.gh.gamecenter.common.utils.updateStatusBarColor

class ServersSubscribedGameListActivity : ToolBarActivity() {

    override fun provideNormalIntent(): Intent {
        return getTargetIntent(
            this,
            ServersSubscribedGameListActivity::class.java,
            ServersSubscribedGameListFragment::class.java
        )
    }

    override fun onCreate(savedInstanceState: Bundle?, persistentState: PersistableBundle?) {
        super.onCreate(savedInstanceState, persistentState)
        updateStatusBarColor(com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface)
    }

    override fun onDarkModeChanged() {
        super.onDarkModeChanged()
        updateStatusBarColor(com.gh.gamecenter.common.R.color.ui_surface, com.gh.gamecenter.common.R.color.ui_surface)
    }

    companion object {
        fun getIntent(context: Context): Intent {
            return Intent(context, ServersSubscribedGameListActivity::class.java)
        }
    }
}